﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MainWindow.xaml.cs" company="DCS">
//   
// </copyright>
// <summary>
//   Interaction logic for MainWindow.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Data;

namespace DemoApplication
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow
  {
    private readonly ObservableCollection<Userinformation> _userInfo;

    /// <summary>Initializes a new instance of the <see cref="MainWindow"/> class.</summary>
    public MainWindow()
    {
      InitializeComponent();
      _userInfo = new ObservableCollection<Userinformation>
                    {
                      new Userinformation {UserName = "Ram", UserId = "1", FirstName = "Ram", LastName = "Charan", Location = "Bangalore", Salary = 10000}, 
                      new Userinformation {UserName = "Mahesh", UserId = "2", FirstName = "Mahesh", LastName = "babu", Location = "Bangalore", Salary = 20000}, 
                      new Userinformation {UserName = "Tom", UserId = "3", FirstName = "Tom", LastName = "cruise", Location = "Delhi", Salary = 30000}, 
                      new Userinformation {UserName = "Will", UserId = "4", FirstName = "Will", LastName = "smith", Location = "Hyderabad", Salary = 40000}, 
                      new Userinformation {UserName = "Will", UserId = "4", FirstName = "Will", LastName = "smith", Location = "Chennai", Salary = 50000}, 
                      new Userinformation {UserName = "Will", UserId = "4", FirstName = "Will", LastName = "smith", Location = "Paris", Salary = 50000}, 
                      new Userinformation {UserName = "Will", UserId = "4", FirstName = "Will", LastName = "smith", Location = "Paris", Salary = 60000}, 
                    };
      ICollectionView view = CollectionViewSource.GetDefaultView(_userInfo);
      view.GroupDescriptions.Add(new PropertyGroupDescription("UserName"));
      view.SortDescriptions.Add(new SortDescription("UserId", ListSortDirection.Ascending));
      view.SortDescriptions.Add(new SortDescription("FirstName", ListSortDirection.Ascending));
      XamDataGrid1.DataSource = view;
    }

    /// <summary></summary>
    /// <param name="sender">The sender.</param>
    /// <param name="e">The e.</param>
    private void Listbox_Click(object sender, RoutedEventArgs e)
    {
      var window = new Window
                     {
                       Width = 800,
                       Height = 600,
                       Title = "Sample window",
                       ShowInTaskbar = true,
                       WindowStartupLocation = WindowStartupLocation.CenterScreen,
                       WindowStyle = WindowStyle.SingleBorderWindow,
                       ResizeMode = ResizeMode.NoResize
      };
      window.Show();
      return;
    }
  }
}
